import { useNamespace } from '../../utilities/use-namespace';
import { FcrIcon } from '../icon';
import { FcrIconType } from '../icon/type';
import './index.css';
import { jsx as _jsx } from "react/jsx-runtime";
var qualityImgMap = {
  poor: FcrIconType.FCR_V2_SIGNAL_BAD,
  average: FcrIconType.FCR_V2_SIGNAL_NORMAL,
  excellent: FcrIconType.FCR_V2_SIGNAL_GOOD
};
export var NetworkQuality = function NetworkQuality(props) {
  var ns = useNamespace('network-quality');
  return /*#__PURE__*/_jsx("div", {
    className: ns.b(),
    children: /*#__PURE__*/_jsx(FcrIcon, {
      type: qualityImgMap[props.quality],
      size: 20
    })
  });
};